<ion-header>
  <ion-navbar>
    <ion-title>
      Search a film
    </ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <ion-searchbar
    [(ngModel)]="nameFilter"
    placeholder="Search a film"
    [showCancelButton]="shouldShowCancel"
    (ionInput)="onInput(nameFilter)"
    (ionCancel)="onCancel()">
  </ion-searchbar>

  <ion-list class="films">
    <button ion-item="" *ngFor="let film of (films | async)?.results" (click)="openFilm(film)">
      {{ film.title }}
    </button>
  </ion-list>
</ion-content>
